﻿jQuery.fn.inedoFormListExtra = function (extras) {
    for (var option in extras) {
        if (!Object.hasOwnProperty.call(extras, option)) {
            continue;
        }

        var extraEl = jQuery('#' + extras[option]);
        watchValue(jQuery(this), extraEl, option);
    }

    function watchValue(select, extra, option) {
        extra.hide().parent().show();

        if (select.val() === option) {
            extra.show();
        }

        select.on('change', function () {
            if (select.val() === option) {
                extra.show();
            } else {
                extra.hide();
            }
        });
    }
};
